Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
CCM< T_BlockCipher, T_DefaultDigestSize > Struct Template Reference

CCM More...

`#include <ccm.h>`

Inheritance diagram for CCM< T_BlockCipher, T_DefaultDigestSize >:

List of all members.

## Public Types

typedef CCM_Final < T_BlockCipher, T_DefaultDigestSize, true > | Encryption
| implements the AuthenticatedSymmetricCipher interface
typedef CCM_Final < T_BlockCipher, T_DefaultDigestSize, false > | Decryption
| implements the AuthenticatedSymmetricCipher interface

## Detailed Description

### template<class T_BlockCipher, int T_DefaultDigestSize = 16>
struct CCM< T_BlockCipher, T_DefaultDigestSize >

CCM

Definition at line 93 of file ccm.h.

The documentation for this struct was generated from the following file:

- ccm.h